<?php 
require_once 'main.php';
require_once 'header.php';
require_once './includes/jdf.php';
$aid=$admininfo['0']['aid'];
$adminDrafts=$draft->Getinfo('aid',$aid);
$wheretask="WHERE `tskdone`=0";
$ordertask="ORDER BY tskdate";
$limit="LIMIT 4";
$TasksList=$task->ListTasks($wheretask,$ordertask,$limit);
$whereissue="";
$orderissue="ORDER BY iid";
$limitissue="LIMIT 4";
$IssuesList=$issue->ListIssues($whereissue,$orderissue,$limitissue);


if ($adminDrafts==array())
	$drfdesc="";
else
	$drfdesc=$adminDrafts['0']['drfdesc'];
	
	if (isset($_POST['savedraft'])) 
	{	
		mb_internal_encoding("utf8");
		$drfpublished=0;
		if ($_POST['drfdesc']=="") 
			$error="مطلبی جهت ذخیره وجود ندارد";
		else
		{
			$drfdesc=$_POST['drfdesc'];
			$drftitle=mb_substr($drfdesc, 0,20);
			$drftitle="$drftitle...";
		}


		if ($error==="") 
		{
				if($draft->add($drfdesc, $drftitle, $drfpublished , $aid)==1)
					{
						$success="پیش نویس ویرایش شد";
					}
				else
					$error="متاسفانه مشکلی در ویرایش پیش نویس به وجود آمد";

		}
	}
	elseif (isset($_POST['editdraft'])) {
	//Edit Drafts
		mb_internal_encoding("utf8");
		$drfid=sprintf("%d",$_GET['drfid']);
		$draftDetails=$draft->Getinfo('drfid',$drfid);
		$drfpublished=0;
		if ($_POST['drfdesc']==$draftDetails['0']['drfdesc']) 
			$error="مطلبی جهت ویرایش وجود ندارد";
		else
		{
			$drfdesc=$_POST['drfdesc'];
			$drftitle=mb_substr($drfdesc, 0,20);
			$drftitle="$drftitle...";
		}

		if ($error==="") 
		{
				if($draft->Update($drfdesc, $drftitle, $drfpublished, $drfid)==1)
					{
						$success="پیش نویس ذخیره شد";
					}
				else
					$error="متاسفانه مشکلی در ذخیره پیش نویس به وجود آمد";

		}


	}
	elseif (isset($_GET['drfid']) && !isset($_GET['op'])) 
	{
		//show Edit Draft Form
		$drfid=sprintf("%d",$_GET['drfid']);
		$draftDetails=$draft->Getinfo('drfid',$drfid);
		$drfdesc=$draftDetails['0']['drfdesc'];
	}
	

	if (isset($_POST['newdraft'])) {
		$drfdesc=$drftitle="";
	}

	if (!empty($error)) 
		Failure($error);
	
	if (!empty($success)) 
		Success($success);

			echo'
			<div class="alertindex alert alert-warning alert-dismissible" role="alert">
			  <button type="button" class="close flleft" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
			
			<h4>مدیر محترم! خوش آمدید...</h4>
			امروز:
			            
			';
		
			echo jdate('l، j F Y');
			date_default_timezone_set('UTC');
			echo'<br>';
			if ($admininfo['0']['aexpiration_date']!="") 
			{
				$exp=G2JDATE($admininfo['0']['aexpiration_date']);
				$exp=explode("-", $exp);
				$year=$exp['0'];
				$month=$exp['1'];
				$day=$exp['2'];
				echo '
				<small>تاریخ اعتبار حساب کاربری شما:
				'.$year.'/'.$month.'/'.$day.'
				</small>';
			}
			echo '
			<br>&nbsp;</div>';



			echo '
				<div class=" indexframe2 form-group col-md-12 col-sm-12 col-xs-12">
				<span class="indexFrameHeader">پیش نویس ها</span>
				<br>
					<form action="" method="post" class="" >
						<div class="form-group col-md-12 col-sm-12 col-xs-12">
							<span class="s2x"><i class="fa fa-commenting-o" aria-hidden="true"></i> به چی فکر میکنی؟!:</span><br><br>
							<textarea id="drfdesc" name="drfdesc" rows="5" class="drfdesc graybg form-control">'.$drfdesc.'</textarea>
						</div>
						<div class="form-group col-md-12 col-sm-12 col-xs-12">
							<center>'
								
								.($adminDrafts!=array()?'<button type="submit" class="btn btn-sm btn-default" name="newdraft"> پیش نویس جدید</button>':'').'
								 '
								.($adminDrafts==array() || isset($_POST['newdraft'])?'<button type="submit" class="btn btn-sm btn-info" name="savedraft"> ذخیره</button>':'<button type="submit" class="btn btn-sm btn-success" name="editdraft"> ویرایش</button>').'
							</center>
						</div>
					</form>
			';
	if ($adminDrafts!=array())
	{
		echo' <div class="form-group col-md-12 col-sm-12 col-xs-12">
		<hr><span style="color:#222222;" >پیش نویس های قبلی: <span><br>';
		foreach ($adminDrafts as $draftInfo) {
			echo '
			<div class="form-group col-md-4 col-sm-6 col-xs-12">
			<a href="?drfid='.$draftInfo['drfid'].'"><i class="fa fa-commenting-o" aria-hidden="true"></i>&nbsp;'.$draftInfo['drftitle'].'</a>
			<a href="issues.php?op=add&drfid='.$draftInfo['drfid'].'"><i class="green fa fa-quote-right" aria-hidden="true">&nbsp;</i></a>
			<a onclick="return Sure()" href="options.php?op=delDraft&drfid='.$draftInfo['drfid'].'"><i class="red fa fa-minus-circle" aria-hidden="true"></i></a>
			</div>           
			';
		}
		//End Of DraftList Div
		echo '
		<div class="form-group col-md-12 col-sm-12 col-xs-12"><small class="done">&nbsp;<i class="fa fa-info-circle" aria-hidden="true"></i>&nbsp;برای افزودن پیش نویس به عنوان مسئله جدید از دکمه <i class=" fa fa-quote-right" aria-hidden="true"></i> و برای حذف پیش نوسی از دکمه <i class="fa fa-minus-circle" aria-hidden="true"></i> استفاده کنید.</small></div>
		</div>';
	}
	//End Of Drafts Div	
	echo "</div>";
	if ($admininfo['0']['allow_list_issues']==1) {
			echo '
				<div class=" indexframe2 form-group col-md-12 col-sm-12 col-xs-12">
				<span class="indexFrameHeader">مسئله ها</span>
				<br>
					<div class="form-group col-md-12 col-sm-12 col-xs-12">
						<span class="s2x"><i class="fa fa-quote-right" aria-hidden="true"></i> آخرین مسئله ها:</span><br>
						';

					foreach ($IssuesList as $issueInfo) {
						echo'
						<div class="form-group col-md-3 col-sm-6 col-xs-12 done">
						<a href="'.($admininfo['0']['allow_edit_issue']==1?'issues.php?op=add&iid='.$issueInfo['iid'].'':'').'">'.($issueInfo['idone']==1?'<i class="fa fa-toggle-on" aria-hidden="true"></i>':'<i class="fa fa-toggle-off" aria-hidden="true"></i>').'&nbsp;'.($issueInfo['ititle']).'</a></div>';

					
					}
					echo'	
						
					</div>
					<small class="done">&nbsp;<i class="fa fa-info-circle" aria-hidden="true"></i>&nbsp;لیست کوتاهی از آخرین پروژه ها.</small>
				</div>
			';
	}
	if ($admininfo['0']['allow_list_tasks']==1) {
			echo '
				<div class=" indexframe2 form-group col-md-12 col-sm-12 col-xs-12">
				<span class="indexFrameHeader">ماموریت ها</span>
				<br>
					<div class="form-group col-md-12 col-sm-12 col-xs-12">
						<span class="s2x"><i class="fa fa-tasks" aria-hidden="true"></i> آخرین ماموریت‌ها:</span><br>
						';
					foreach ($TasksList as $taskInfo) {
						echo'
						<div class="form-group col-md-3 col-sm-6 col-xs-12">
						<a href="'.($admininfo['0']['allow_edit_task']==1?'tasks.php?op=add&tskid='.$taskInfo['tskid'].'':'').'"><i class="fa fa-toggle-off" aria-hidden="true"></i>&nbsp;'.($taskInfo['tsktitle']).'</a>
						</div>
						';
					}
					echo'	
						
					</div>
					<small class="done">&nbsp;<i class="fa fa-info-circle" aria-hidden="true"></i>&nbsp;لیست کوتاهی از آخرین ماموریت هایی که هنوز انجام نشده اند.</small>
				</div>
			';
	}

include 'footer.php';
 ?>


